net.minecraft.network.packet

## Class Packet33RelEntityMoveLook

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet30Entity
    - - net.minecraft.network.packet.Packet33RelEntityMoveLook

-     public class Packet33RelEntityMoveLook
      extends Packet30Entity

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.packet.Packet30Entity

      `entityId, pitch, rotating, xPosition, yaw, yPosition, zPosition`

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet33RelEntityMoveLook()`
    `Packet33RelEntityMoveLook(int par1, byte par2, byte par3, byte par4, byte par5, byte par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet30Entity

      `containsSameEntityIDAs, isRealPacket, processPacket, toString`

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, getNewPacket, getPacketId, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Packet33RelEntityMoveLook

          public Packet33RelEntityMoveLook()

    - #### Packet33RelEntityMoveLook

          public Packet33RelEntityMoveLook(int par1,
                                   byte par2,
                                   byte par3,
                                   byte par4,
                                   byte par5,
                                   byte par6)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Overrides:
        `readPacketData` in class `Packet30Entity`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Overrides:
        `writePacketData` in class `Packet30Entity`
      Throws:
        `IOException`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Overrides:
        `getPacketSize` in class `Packet30Entity`